<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>org.sky</groupId>
        <artifactId>kd-service</artifactId>
        <version>${revision}</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <artifactId>kd-desk</artifactId>
    <name>${project.artifactId}</name>
    <packaging>jar</packaging>

    <dependencies>
        <dependency>
            <groupId>org.sky</groupId>
            <artifactId>kd-core-boot</artifactId>
        </dependency>
        <dependency>
            <groupId>org.sky</groupId>
            <artifactId>kd-starter-swagger</artifactId>
        </dependency>
        <dependency>
            <groupId>org.sky</groupId>
            <artifactId>kd-desk-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.sky</groupId>
            <artifactId>kd-user-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.sky</groupId>
            <artifactId>kd-flow-api</artifactId>
        </dependency>
        <!--Oss-->
        <dependency>
            <groupId>org.sky</groupId>
            <artifactId>kd-starter-oss</artifactId>
        </dependency>
        <!--MinIO-->
        <dependency>
            <groupId>io.minio</groupId>
            <artifactId>minio</artifactId>
        </dependency>
        <!--QiNiu-->
        <dependency>
            <groupId>com.qiniu</groupId>
            <artifactId>qiniu-java-sdk</artifactId>
        </dependency>
        <!--<dependency>
            <groupId>org.sky</groupId>
            <artifactId>kd-starter-transaction</artifactId>
        </dependency>-->
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>io.fabric8</groupId>
                <artifactId>docker-maven-plugin</artifactId>
                <configuration>
                    <skip>${docker.fabric.skip}</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>16</source>
                    <target>16</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
